import { TestFile, TestResult } from '../../core';
import { Reporter } from './types';
/**
 * Console reporter - outputs results to the terminal
 */
export declare class ConsoleReporter implements Reporter {
    onTestFileComplete(file: string, testFile: TestFile, results: TestResult[]): void;
    onComplete(allResults: {
        file: string;
        results: TestResult[];
    }[]): void;
}
